Subject: [Sipping] draft-ietf-sipping-torture-tests-01 question

From: Vijaya Venkatachalam <[email-masked]>
Date: Thu, 06 Nov 2003 11:47:13 -0500

Hi,

I need clarification for the following test given in Torture tests document.

Section 3.1.2.11 Escaped headers in SIP Request-URI

The Request-URI seems valid as per BNF

Request-URI    =  SIP-URI / SIPS-URI / absoluteURI
SIP-URI          =  "sip:" [ userinfo ] hostport
                    uri-parameters [ headers ]
headers         =  "?" header *( "&" header )
header          =  hname "=" hvalue
hname           =  1*( hnv-unreserved / unreserved / escaped )
hvalue          =  *( hnv-unreserved / unreserved / escaped )

And the "escaped" hvalue allows %. So is this an invalid Request-URI.

      INVITE sip:[email-masked]?Route=%3Csip:example.com%3E SIP/2.0
      To: sip:[email-masked]
      From: sip:[email-masked];tag=341518
      Max-Forwards: 7
      Contact: <sip:[email-masked]>
      Call-ID: 23940-asdfhj-aje3br-234q098w-fawerh2q-h4n5
      CSeq: 149209342 INVITE
      Via: SIP/2.0/UDP host-of-the-hour.example.com;branch=z9hG4bKkdjuw
      Content-Type: application/sdp
      Content-Length: 151

      v=0
      o=mhandley 29739 7272939 IN IP4 192.0.2.1
      s=-
      c=IN IP4 192.0.2.1
      t=0 0
      m=audio 492170 RTP/AVP 0 12
      m=video 3227 RTP/AVP 31
      a=rtpmap:31 LPC

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Frank Shearar" <[email-masked]>
Date: Thu, 6 Nov 2003 17:03:53 -0000

> >>> "[email-masked]" 11/06/03 16:47 >>>
> 
> Hi,
> 
<snip>

As you say, it's valid according to the BNF, but RFC 3261 section 19.1.2
says that escaped headers are not permitted in the Request-URI.

frank

---

From: Alan Hawrylyshen <[email-masked]>
Date: Thu, 6 Nov 2003 16:27:24 -0700

On 6 Nov 2003, at 09:47, Vijaya Venkatachalam wrote:

> [?]

As per the draft (emphasis mine):

3.1.2.11 Escaped headers in SIP Request-URI

    This INVITE is *malformed* as the SIP Request-URI contains escaped
    headers.

    It is acceptable for an element to reject this request with a 400 Bad
    Request. An element could choose to be liberal in what it accepts and
    ignore the escaped headers. If the element is a proxy, the escaped
    headers must not appear in the Request-URI of forwarded request (and
    most certainly must not be translated into the actual header of the
    forwarded request).

The RURI about which you ask is invalid. (Semantically).
Your implementation decisions will determine how you deal with this 
request.

Cheers,

Alan Hawrylyshen
Jasomi Networks Inc